# Generated by Django 3.2.5 on 2021-07-07 09:21

from django.db import migrations, models
import django.db.models.deletion
import django.views.generic.dates


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="NewsAuthor",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.CharField(max_length=150, verbose_name="Автор")),
                (
                    "image",
                    models.ImageField(
                        blank=True, null=True, upload_to="news/author/", verbose_name="Изображение автора"
                    ),
                ),
                ("regalia", models.CharField(blank=True, max_length=250, null=True, verbose_name="Регалии автора")),
            ],
            options={
                "verbose_name": "Автор новости",
                "verbose_name_plural": "Авторы новостей",
            },
        ),
        migrations.CreateModel(
            name="Rubric",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("created", models.DateTimeField(auto_now_add=True, verbose_name="Дата добавления")),
                ("updated", models.DateTimeField(auto_now=True, verbose_name="Дата обновления")),
                ("seo_title", models.CharField(blank=True, max_length=255, null=True)),
                ("seo_description", models.TextField(blank=True, null=True)),
                ("name", models.CharField(max_length=20, unique=True, verbose_name="Название")),
                ("slug", models.SlugField(unique=True, verbose_name="Слаг")),
                ("show_in_filter", models.BooleanField(default=False, verbose_name="Показывать в трее")),
                ("ordered", models.PositiveIntegerField(default=0, verbose_name="Порядок")),
            ],
            options={
                "verbose_name": "Рубрика",
                "verbose_name_plural": "Рубрики",
                "ordering": ("ordered",),
            },
        ),
        migrations.CreateModel(
            name="News",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("created", models.DateTimeField(auto_now_add=True, verbose_name="Дата добавления")),
                ("updated", models.DateTimeField(auto_now=True, verbose_name="Дата обновления")),
                ("seo_title", models.CharField(blank=True, max_length=255, null=True)),
                ("seo_description", models.TextField(blank=True, null=True)),
                (
                    "view_in_mobile_app",
                    models.BooleanField(db_index=True, default=True, verbose_name="Показывать в мобильном приложении"),
                ),
                ("publish", models.BooleanField(db_index=True, default=True, verbose_name="Опубликованно")),
                ("title", models.CharField(max_length=60, verbose_name="Заголовок")),
                ("subtitle", models.CharField(max_length=100, verbose_name="Подзаголовок")),
                ("title_photo", models.ImageField(upload_to="news/title/", verbose_name="Заглавная фотография")),
                (
                    "title_photo_mobile",
                    models.ImageField(
                        blank=True,
                        null=True,
                        upload_to="news/title_mobile/",
                        verbose_name="Заглавная фотография (мобильная)",
                    ),
                ),
                (
                    "social_photo",
                    models.ImageField(null=True, upload_to="news/social/", verbose_name="Фотография для соц. сетей"),
                ),
                ("date", models.DateField(default=django.views.generic.dates.timezone_today, verbose_name="Дата")),
                ("reading", models.PositiveIntegerField(verbose_name="Время на прочтение (мин.)")),
                ("is_best", models.BooleanField(default=False, verbose_name="В лучшее")),
                (
                    "news_type",
                    models.PositiveSmallIntegerField(
                        choices=[
                            (1, "Обычная"),
                            (3, "Кейс"),
                            (4, "Книга"),
                            (5, "Статья"),
                            (6, "Интервью"),
                            (7, "Мероприятие"),
                            (8, "Тест"),
                            (9, "Карточка"),
                            (10, "Старый кейс"),
                        ],
                        default=1,
                        verbose_name="Тип новости",
                    ),
                ),
                ("description", models.TextField(blank=True, null=True, verbose_name="Опиисание")),
                (
                    "partner_name",
                    models.CharField(blank=True, max_length=150, null=True, verbose_name="Название партнера"),
                ),
                (
                    "partner_image",
                    models.ImageField(
                        blank=True, null=True, upload_to="news/partner/", verbose_name="Изображение партнера"
                    ),
                ),
                ("partner_link", models.URLField(blank=True, null=True, verbose_name="Ссылка на партнера")),
                (
                    "cover",
                    models.ImageField(blank=True, null=True, upload_to="news/cover/", verbose_name="Обложка для книги"),
                ),
                ("is_notification_bot", models.BooleanField(default=False, verbose_name="Отправлено уведомления")),
                ("full_text", models.TextField(blank=True, null=True, verbose_name="Полный текст")),
                ("is_private", models.BooleanField(default=False, verbose_name="Приватная статья")),
                (
                    "author",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="news.newsauthor",
                        verbose_name="Автор",
                    ),
                ),
                (
                    "rubric",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="news",
                        to="news.rubric",
                        verbose_name="Рубрика",
                    ),
                ),
            ],
            options={
                "verbose_name": "Новость",
                "verbose_name_plural": "Новости",
                "ordering": ("-date", "-created"),
            },
        ),
    ]
